tensorflow学习之路-初学习者版本选择

tensorflow各个版本的区别

tensorflow - 仅支持 CPU 的当前稳定版本(建议新手使用)
tensorflow-gpu - 支持 GPU 的当前稳定版本(Ubuntu 和 Windows)
tf-nightly - 仅支持 CPU 的每夜版(不稳定)
tf-nightly-gpu - 支持 GPU 的每夜版(不稳定,Ubuntu 和 Windows)

tensorflow1.x or 2.x

TensorFLow 2.0 已经推出,同 TensorFlow 1.x 版本相比它带来了太多的改变。最大的问题在于***不兼容了好多TensorFlow 1.x 版本的API***

虽然TensorFlow的2.0版本中,有很多光鲜靓丽的新功能。但是TensorFlow
1.x目前比较稳定,建议读者使用TensorFlow 1.x版本开发实际项目,并跟进2.x版本所更新的技术。待2.x版本迭代到2.3以上,再考虑使用2.x版本开发实际项目。

如果选择1.x版本进行开发时,尽量使用TensorFlow 1.13.1、1.14版本为主。因为TensorFlow 2.x版本的代码是基于TensorFlow 1.13.1转化而来。TensorFlow 1.13.1版本可以部分支持TensorFlow 2.0版本的代码。而1.14版本在1.13基础上又更新了一代,相对更为稳定。

tensorflow1.x 与 2.x 都安装

推荐 Anaconda软件创建虚环境的方法,则可以在同一个主机上安装不同版本的TensorFlow:在Anaconda中安装TensorFlow1.14.0与TensorFlow2.0.0

发布了62 篇原创文章 · 获赞 65 · 访问量 100万+
展开阅读全文

没有更多推荐了,返回首页

©️2019 CSDN 皮肤主题: 程序猿惹谁了 设计师: 上身试试

分享到微信朋友圈

×

扫一扫,手机浏览